"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.merge = void 0;
const inversify_1 = require("inversify");
const { getBindingDictionary } = require("inversify/lib/planning/planner");
function merge(container1, container2, options) {
    const container = new inversify_1.Container(options);
    const bindingDictionary = getBindingDictionary(container);
    const bindingDictionary1 = getBindingDictionary(container1);
    const bindingDictionary2 = getBindingDictionary(container2);
    function copyDictionary(origin, destination) {
        origin.traverse((key, value) => {
            value.forEach((binding) => {
                destination.add(binding.serviceIdentifier, binding.clone());
            });
        });
    }
    copyDictionary(bindingDictionary1, bindingDictionary);
    copyDictionary(bindingDictionary2, bindingDictionary);
    return container;
}
exports.merge = merge;
